%define module_version 0.13
%define module_name Geo-Distance-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Benchmark.pm) perl(ExtUtils/MakeMaker.pm) perl(GIS/Distance.pm) perl(GIS/Distance/Fast.pm) perl(Geo/Distance.pm) perl(List/Util.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.13
Release: alt7
Summary: speed up Geo::Distance
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GR/GRAY/%{module_name}-%{module_version}.tar.gz

%description
The `Geo::Distance::XS' module provides faster C implementations of the.distance calculations found in `Geo::Distance'.  See the documentation for
that module for usage.

NOTE: As of version 0.13, Geo::Distance automatically uses this module if
it is installed.


%prep
%setup -n %{module_name}-%{module_version}

[ %version = 0.13 ] && rm t/02_new_pp.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/G*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.13-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.13-alt6
- rebuild with perl 5.34.0

* Wed Oct 07 2020 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt5
- rebuild to get rid of unmets

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.13-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2.1
- rebuild with perl 5.22

* Mon Dec 15 2014 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt2
- rebuild to get rid of unmets

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

